
Redmine - Defect #13522

Private field is shown as required

2013-03-19 12:52 - Filou Centrinov

Status: New Start date:  
Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version:  

Description

On the page of field permissions (workflow) the private field is shown as required. This is not corret, because it isn't required.

Related issues:

Related to Redmine - Feature #9432: Default value for the private issue flag New 2011-10-17

History

#1 - 2013-03-19 18:31 - Daniel Felix

- File remove_required_on_is_private.diff added

- Assignee set to Toshi MARUYAMA

- Target version set to 2.3.1

Your right. This seems to be wrong.

I've attached a small patch. This solved the wrong display.

toshio harita: Maybe you could commit this?

I just set this to 2.3.1 as a Bugfix. If you think, that this should be included in 2.3 please be free to commit this. :-)

This shouldn't hold back the release of 2.3.0. :-)

Best regards,

Daniel

#2 - 2013-03-19 19:28 - Dipan Mehta

Actually, in any Boolean type fields - the notion of 'Required' vs. 'Not Required' has no significant. If you leave the field without touching and even if

default value is not set - it actually defaults to 'false' and that is legitimate value. Alternatively, nothing can force the user to check or uncheck in case

of Boolean fields even if you critically need input (by making it required)

So while, field may be required it wont force you to select the issues as private!

#3 - 2013-03-19 20:42 - Daniel Felix

Dipan Mehta wrote:

So while, field may be required it wont force you to select the issues as private!

 Yes your right with your post, but it's definitly wrong that this field is marked as required in the workflow menu.

So this obviously seems to be a mistake. ;-)

#4 - 2013-03-20 05:08 - Mischa The Evil

Daniel Felix wrote:

So this obviously seems to be a mistake. ;-)

 For what I can remember out-of-my-head this is done on a purpose related to how private issues were implemented. I'm not sure though...

#5 - 2013-03-20 18:43 - Daniel Felix

Yes this may be. But, you can't ensure a required on a checkbox in any way. this is by design. :-)
#6 - 2013-03-26 21:26 - Jean-Philippe Lang

- Assignee changed from Toshi MARUYAMA to Jean-Philippe Lang

With this patch applied, the private flag can then be configured as required in the workflow permission configuration screen. Not sure that it's a better

option.

#7 - 2013-03-26 21:58 - Daniel Felix

Yes this is right. This will be wrong too.

What do you think? would it be a better solution to prepare that no checkbox could be set to required?

Or change the way a required is applied on checkboxes?

For example:

Require on checkboxes is allowed and would be handled as "must check".

Some examples could be the disclaimer or something like that. This way you can force special roles to ensure that they accept some terms, for

example.

But requiring a checkbox is a wrong behaviour in my opinion. :-)

#8 - 2013-03-26 22:11 - Etienne Massip

Daniel Felix wrote:

But requiring a checkbox is a wrong behaviour in my opinion. :-)

 Well it actually implies no specific behavior, it's just inaccurate information.

Not sure it's worth changing it.

#9 - 2013-05-01 15:15 - Jean-Philippe Lang

- Target version changed from 2.3.1 to Candidate for next major release

#10 - 2021-08-22 11:18 - Mischa The Evil

- Related to Feature #9432: Default value for the private issue flag added

Files

workflow_ui_bug.png 14.9 KB 2013-03-19 Filou Centrinov

remove_required_on_is_private.diff 653 Bytes 2013-03-19 Daniel Felix
